Subject: bug#22938: 24.5; Cannot rename files in directory with escaped spaces

From: Marty Rosenberg <[email-masked]>
Date: Tue, 8 Mar 2016 14:11:43 -0500

Addendum: I have discovered that there are multiple ways to rename a file
in dired.  I simply deleted the a, and replaced it with a b, while dired
was in Editable mode.

On Tue, Mar 8, 2016 at 1:45 PM, Marty Rosenberg <[email-masked]>
wrote:

> Strange, I just checked out git master, and reproduced it (I
> used e0400b72a24). Did you both quote and escape the space? (alternately,
> you can run mkdir escape\\\ me)  I've reproduced this on both an ubuntu
> system, an arch-linux system, and a gentoo system.  I haven't tried on a
> redhat based system, nor on OSX.
>
> On Tue, Mar 8, 2016 at 3:52 AM, Marcin Borkowski <[email-masked]> wrote:
>
>>
>> On 2016-03-08, at 09:29, Marty Rosenberg <[email-masked]>
>> wrote:
>>
>> > most of this happens outside of emacs:
>> > mkdir 'escape\ me'
>> > cd 'escape\ me'
>> > touch a
>> > emacs -Q .
>> > C-x C-q
>> > rename the file from a to b
>> > C-c C-c
>> >
>> > when I inspect the error, it looks like it is attempting to rename
>> > /home/mjrosenb/tmp/escapeme/a to /home/mjrosenb/tmp/escapeme/b
>> > which fails, because the name of the directory is 'escape\ me', not
>> > 'escapeme'
>>
>> Hi,
>>
>> and thanks for the report.
>>
>> However, it seems to work just fine on GNU Emacs 25.1.50.6 (commit
>> ac9a931).  It might have been fixed in the meantime.
>>
>> Best,
>>
>> --
>> Marcin Borkowski
>> http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
>> Faculty of Mathematics and Computer Science
>> Adam Mickiewicz University
>>
>
>